Subject: bug#16104: closed (Re: bug#16104: Desktop Linux Mint 15 Olivia is broken due to chmod permission changes)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Dec 2013 23:44:02 +0000

Your bug report

#16104: Desktop Linux Mint 15 Olivia is broken due to chmod permission changes

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16104: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16104
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16104: Desktop Linux Mint 15 Olivia is broken due to chmod permission changes
From: Bernhard Voelker <[email-masked]>
To: Denise <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 11 Dec 2013 00:42:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 16104 notabug
thanks

On 12/10/2013 10:47 PM, Denise wrote:
> sudo chmod -R u-x,g-x,o-rwx usr/share/

outch.

Thanks for the bug report, however, as you might already know,
this is not a bug in coreutils' chmod but rather an issue in
the way you used it.  Therefore, I'm marking this bug as done.

Okay, back to your case. To get your system back to work, you
should understand what the above command did. Read about it.

To restore the permissions, your best bet would be a backup.
With this, you could go there and run a command line like the
following to change the permission back to what they have been
in that backup.

  $ cd /backup/usr/share
  $ find . -exec chmod -v --reference="{}" "/usr/share/{}" \;

But again, please first read the documentation of the involved
programs to understand what happened and what you are doing,
at least:

  $ info coreutils 'chmod invocation'

Have a nice day,
Berny

Subject: Desktop Linux Mint 15 Olivia is broken due to chmod permission changes
From: Denise <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 10 Dec 2013 16:47:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I found this web site - 
http://linuxg.net/how-to-change-file-and-folder-permissions-with-chmod-part-1/ 
-  to learn a terminal command to change permission to a usr/share/ 
folder so I could install a pidgin theme folder in pidgin directory but, 
obviously, without knowing what I was doing, Mint 15 got broken with that.

I entered the following command:
sudo chmod -R u-x,g-x,o-rwx usr/share/

And now booting Mint will give me gibberish dialog windows in an empty 
black background.

Either Nemo or Cinnamon is not working correctly and I would like to 
restore it back to its original setup.

I'm guessing the way to fix this is enter a command restoring all 
permissions to default in "drop to root shell prompt" in recovery mode.

Thankfully, I have also Ubuntu 13 installed in the same desktop PC so I 
could write this message, because Mint 15 is totally unusable.

How do I fix this or where do I ask for help?

Thanks for reading and hope to hear from you soon.

Denise.